%global pname   skinenigmang

Name:           vdr-%{pname}
Version:        0.1.2
Release:        5%{?dist}
Summary:        A skin for VDR based on the Enigma text2skin add on

Group:          Applications/Multimedia
License:        GPL+
URL:            http://andreas.vdr-developer.org/enigmang/
Source0:        http://andreas.vdr-developer.org/enigmang/download/vdr-skinenigmang-%{version}.tgz
Source1:        http://andreas.vdr-developer.org/enigmang/download/skinenigmang-logos-xpm-hi-20070702.tgz
Source2:        %{name}.conf
Patch0:         %{name}-0.1.2-config.patch
Patch1:         %{name}-fsf-fix.patch
# http://projects.vdr-developer.org/projects/plg-skinenigmang/repository/revisions/4001478a343b9631ade6be4192b2b12e1b8508b9
Patch2:         GraphicsMagick_support.diff
# http://projects.vdr-developer.org/projects/plg-skinenigmang/repository/revisions/aae9aadc381d4f67326a25c80214c2b7ef04e10a/diff.diff
Patch3:         disappearing_symbols.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  freetype-devel
BuildRequires:  GraphicsMagick-c++-devel
BuildRequires:  vdr-devel >= 1.6.0-41
Requires:       vdr(abi)%{?_isa} = %{vdr_apiversion}

%description 
VDR plugin: %{pname} - %{summary}
 
%prep
%setup -q -n %{pname}-%{version} -a 1
mv skinenigmang/HISTORY HISTORY.logos
mv skinenigmang/README README.logos
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

iconv -f iso-8859-1 -t utf-8 README > README.utf8 ; mv README.utf8 README

%build
make %{?_smp_mflags} LIBDIR=. LOCALEDIR=./locale VDRDIR=%{_libdir}/vdr \
    HAVE_IMAGEMAGICK=GRAPHICS

%install
install -dm 755 $RPM_BUILD_ROOT%{vdr_plugindir}
install -pm 755 libvdr-%{pname}.so.%{vdr_apiversion} \
    $RPM_BUILD_ROOT%{vdr_plugindir}

# skinenigmang.conf
install -Dpm 644 %{SOURCE2} \
    $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/vdr-plugins.d/%{pname}.conf

# themes
install -dm 755 $RPM_BUILD_ROOT%{vdr_vardir}/themes
install -pm 644 themes/*.theme $RPM_BUILD_ROOT%{vdr_vardir}/themes

# flags,icons
install -dm 755 $RPM_BUILD_ROOT%{vdr_datadir}
cp -a skinenigmang/{flags,icons} $RPM_BUILD_ROOT%{vdr_datadir}

# Locale
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/locale
cp -pR locale/* $RPM_BUILD_ROOT%{_datadir}/locale
%find_lang %{name}


%files -f %{name}.lang
%doc COPYING HISTORY* README*
%config(noreplace) %{_sysconfdir}/sysconfig/vdr-plugins.d/%{pname}.conf
%{vdr_plugindir}/libvdr-*.so.%{vdr_apiversion}
%{vdr_vardir}/themes/EnigmaNG-*.theme
%{vdr_datadir}/flags
%{vdr_datadir}/icons


%changelog
* Sun Jun 17 2012 Martin Gansser <linux4martin@gmx.de> - 0.1.2-5
- fixed wrong url
- changed license type from GPLv2+ to GPL+

* Thu Jun 14 2012 Martin Gansser <linux4martin@gmx.de> - 0.1.2-4
- more spec file cleanups
- fixed copying of source file to build dir

* Tue Jun 12 2012 Martin Gansser <linux4martin@gmx.de> - 0.1.2-3
- added config patch
- added flag and icons in file section
- spec file cleanup

* Sat Jun 2 2012 Martin Gansser <linux4martin@gmx.de> - 0.1.2-2
- added patch for GraphicsMagick support
- added patch for disappearing symbols

* Mon Apr 30 2012 Martin Gansser <linux4martin@gmx.de> - 0.1.2-1
- spec cleanup

* Tue Sep 20 2011 Sebastian Vahl <fedora@deadbabylon.de> - 0.1.1-2
- spec cleanup

* Sat Sep 17 2011 Sebastian Vahl <fedora@deadbabylon.de> - 0.1.1-1
- initial release
